This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 207642 - Proposed package split
Proposed package split
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks: OLPCTracker
  Show dependency treegraph
 
Reported: 2006-09-22 02:30 EDT by David Zeuthen
Modified: 2013-03-05 22:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 15:04:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2006-09-22 02:30:14 EDT
For OLPC we're interested in creating a variant of the OS that runs on commodity
PC hardware as a livecd. This is mostly to make it easy to demonstrate the UI,
Sugar, we're building. 

So, to do this we want to pull in the standard Fedora kernel and all the X11
drivers. This is in contrast to OLPC variants that includes OLPC specific
kernels optimized for the known hardware target and only one X11 driver we can
configure via /etc/X11/xorg.conf ahead of time.

As such, for the livecd variant, we need to configure the X.org server. For
other livecd use cases experience shows that

 system-config-display --noui --reconfig --set-depth=24

yields a pretty good result on Rawhide distros. 

The problem, on OLPC, is that system-config-display pulls in a number of
packages including metacity, redhat-artwork and whatnot. The latter conflicts
with our own olpc-artwork package insofar both wants to provide
/etc/gtk-2.0/gtkrc (which is probably a packaging bug in olpc-artwork; it should
provide redhat-artwork probably).

Either way, is it possible to split system-config-display into two packages

 system-config-display
 system-config-display-tui

and have the former Require: the latter? Then we'd just pull in
system-config-display-tui. This would be nice as we're not using things like
metacity etc.

Alternatively, is there a better way to write out xorg.conf nowadays? If so, I'd
be happy to do that instead of system-config-display. Please advise.

Thanks.
Comment 1 Adam Jackson 2006-09-22 11:25:06 EDT
The other alternative, of course, is to start X without a config file.
Comment 2 Adam Jackson 2006-09-22 15:04:17 EDT
Per IRC discussion, X with no xorg.conf is the recommended solution.

Note You need to log in before you can comment on or make changes to this bug.